Subject: Re: [net] bonding: annotate data-races around slave->last_rx

From: Jakub Kicinski <[email-masked]>
Date: Thu, 22 Jan 2026 08:58:13 -0800

On Thu, 22 Jan 2026 16:56:33 +0100 Eric Dumazet wrote:
> On Thu, Jan 22, 2026 at 4:50 PM Eric Dumazet <[email-masked]> wrote:
> > On Thu, Jan 22, 2026 at 4:29 PM Jakub Kicinski <[email-masked]> wrote:  
> > > I guess if nothing else we should do it for consistency?  
> >
> > To be clear, I will cook a V2 with this part.
> >  
> 
> _bond_options_ns_ip6_target_set() probably needs a fix as well.
> 
> Is AI review stopping at the first error ?

I don't think it explicitly stops after the first occurrence but it
seems to have limited ability to dig around. Simplifying, it only digs
around for 5-10min, and it spends a lot of time proving that the
issue is real. So once it's spend time proving one issue it's often out
of time, and may not search for another one :(

Ccing Chris, hopefully he'll chime in later if I'm wrong.